CatalinaManagerMBean (Catalina Internal API Documentation)
Keywords: org.apache.catalina.startup.CatalinaManagerMBean interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Interface CatalinaManagerMBean

All Known Implementing Classes:
  CatalinaManager

public interface CatalinaManagerMBean

Catalina MBean interface. To be used, the JAR containing this MBean should contain all the classes which are present in bootstrap.jar. The setPath(String path) method should be used to set the correct path where the Tomcat distribution is.

Version:
  $Revision: 1.3 $
Author:
  Remy Maucherat

Field Summary
`static java.lang.String` | `NAME` Component name.
`static java.lang.String` | `OBJECT_NAME` Object name.
`static int` | `STARTED`
`static int` | `STARTING`
`static java.lang.String[]` | `states` Status constants.
`static int` | `STOPPED`
`static int` | `STOPPING`

Method Summary
`void` | `destroy()` Destroy servlet container (if any is running).
`java.lang.String` | `getName()` Retruns the Catalina component name.
`java.lang.String` | `getPath()` Path accessor.
`int` | `getState()` Returns the state.
`java.lang.String` | `getStateString()` Returns a String representation of the state.
`void` | `setPath(java.lang.String Path)` Path mutator.
`void` | `start()` Start the servlet container.
`void` | `stop()` Stop the servlet container.

Field Detail

### states

    public static final java.lang.String[] states

  Status constants.

### STOPPED

    public static final int STOPPED

See Also:
  Constant Field Values

### STOPPING

    public static final int STOPPING

See Also:
  Constant Field Values

### STARTING

    public static final int STARTING

See Also:
  Constant Field Values

### STARTED

    public static final int STARTED

See Also:
  Constant Field Values

### NAME

    public static final java.lang.String NAME

  Component name.

  See Also:
    Constant Field Values

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

  Object name.

  See Also:
    Constant Field Values

Method Detail

### getName

    public java.lang.String getName()

  Retruns the Catalina component name.

### getState

    public int getState()

  Returns the state.

### getStateString

    public java.lang.String getStateString()

  Returns a String representation of the state.

### getPath

    public java.lang.String getPath()

  Path accessor.

### setPath

    public void setPath(java.lang.String Path)

  Path mutator.

### start

    public void start()
               throws java.lang.Exception

  Start the servlet container.

  Throws:
    `java.lang.Exception`

### stop

    public void stop()

  Stop the servlet container.

### destroy

    public void destroy()

  Destroy servlet container (if any is running).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.